Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77012 - [NFS] Problems with nfs-mounted ISO9660 images (-o loop)
Summary: [NFS] Problems with nfs-mounted ISO9660 images (-o loop)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-30 23:03 UTC by Felix Miro
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:08 UTC


Attachments (Terms of Use)

Description Felix Miro 2002-10-30 23:03:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
ls -l against nfs mounted cdrom image (/mnt/foo/testdir) eventually fails 
with 'ls: .: No such file or directory'. A cd /mnt/foo/testdir is required to 
re-establish the current directory.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.on anyhost:
mount -t iso9660 -o loop image.iso9660 /mnt/cdrom.image
image.iso9660 is ~264 MB.

2.on client:
mount -t nfs anyhost:/mnt/cdrom.image /mnt/foo
/mnt/foo/testdir has ~50 RPM files.

3.test script:

!/bin/bash
cd /mnt/foo/testdir
while [ 1 ]
do
  ls -l
done



	

Actual Results:  after 8 minutes or less, the test case returns the below 
output:

ls: .: No such file or directory
ls: .: No such file or directory
ls: .: No such file or directory
ls: .: No such file or directory
.
.
.


Expected Results:  Normal ls -l output showing 50 RPM files

Additional info:

System on which the image.iso9660 resides (anyhost) :
 Vendor: GenuineIntel
 Model:  Pentium III (Coppermine)
 Speed:  801.839 MHz
 Cache:  256 KB
 Memory: 128 MB
Linux  2.4.9-13 #1 Tue Oct 30 20:11:04 EST 2001 i686 unknown

Client system using NFS to access remote cd image was RedHat 8.0

Comment 1 Felix Miro 2002-10-30 23:05:26 UTC
The RedHat 8.0 kernel in question is 2.4.18-14smp.

Comment 2 Bugzilla owner 2004-09-30 15:40:08 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.